# ByTimerUtilizer

class ByTimerUtilizer (removeMillis: Long , scope: CoroutineScope) : TemporalFilesRoutingConfigurator.TemporalFilesUtilizer (source)

## Constructors

ByTimerUtilizer
Link copied to clipboard
constructor(removeMillis: Long , scope: CoroutineScope)

## Functions

start
Link copied to clipboard
open override fun start (filesMap: MutableMap < TemporalFileId , MPPFile >, filesMutex: Mutex, onNewFileFlow: Flow< TemporalFileId >): Job